import { Account, Context, Pda, PublicKey, RpcAccount, RpcGetAccountOptions, RpcGetAccountsOptions, Serializer } from '@metaplex-foundation/umi';
export type FanoutMembershipMintVoucher = Account<FanoutMembershipMintVoucherAccountData>;
export type FanoutMembershipMintVoucherAccountData = {
    discriminator: Array<number>;
    fanout: PublicKey;
    fanoutMint: PublicKey;
    lastInflow: bigint;
    bumpSeed: number;
};
export type FanoutMembershipMintVoucherAccountDataArgs = {
    fanout: PublicKey;
    fanoutMint: PublicKey;
    lastInflow: number | bigint;
    bumpSeed: number;
};
export declare function getFanoutMembershipMintVoucherAccountDataSerializer(context: Pick<Context, 'serializer'>): Serializer<FanoutMembershipMintVoucherAccountDataArgs, FanoutMembershipMintVoucherAccountData>;
export declare function deserializeFanoutMembershipMintVoucher(context: Pick<Context, 'serializer'>, rawAccount: RpcAccount): FanoutMembershipMintVoucher;
export declare function fetchFanoutMembershipMintVoucher(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<FanoutMembershipMintVoucher>;
export declare function safeFetchFanoutMembershipMintVoucher(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<FanoutMembershipMintVoucher | null>;
export declare function fetchAllFanoutMembershipMintVoucher(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<FanoutMembershipMintVoucher[]>;
export declare function safeFetchAllFanoutMembershipMintVoucher(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<FanoutMembershipMintVoucher[]>;
export declare function getFanoutMembershipMintVoucherGpaBuilder(context: Pick<Context, 'rpc' | 'serializer' | 'programs'>): import("@metaplex-foundation/umi").GpaBuilder<FanoutMembershipMintVoucher, {
    discriminator: Array<number>;
    fanout: PublicKey;
    fanoutMint: PublicKey;
    lastInflow: number | bigint;
    bumpSeed: number;
}>;
export declare function getFanoutMembershipMintVoucherSize(): number;
export declare function findFanoutMembershipMintVoucherPda(context: Pick<Context, 'eddsa' | 'programs' | 'serializer'>, seeds: {
    fanout: PublicKey;
    membership: PublicKey;
    mint: PublicKey;
}): Pda;
