import { Account, Context, Pda, PublicKey, RpcAccount, RpcGetAccountOptions, RpcGetAccountsOptions, Serializer } from '@metaplex-foundation/umi';
export type FanoutMembershipVoucher = Account<FanoutMembershipVoucherAccountData>;
export type FanoutMembershipVoucherAccountData = {
    discriminator: Array<number>;
    fanout: PublicKey;
    totalInflow: bigint;
    lastInflow: bigint;
    bumpSeed: number;
    membershipKey: PublicKey;
    shares: bigint;
};
export type FanoutMembershipVoucherAccountDataArgs = {
    fanout: PublicKey;
    totalInflow: number | bigint;
    lastInflow: number | bigint;
    bumpSeed: number;
    membershipKey: PublicKey;
    shares: number | bigint;
};
export declare function getFanoutMembershipVoucherAccountDataSerializer(context: Pick<Context, 'serializer'>): Serializer<FanoutMembershipVoucherAccountDataArgs, FanoutMembershipVoucherAccountData>;
export declare function deserializeFanoutMembershipVoucher(context: Pick<Context, 'serializer'>, rawAccount: RpcAccount): FanoutMembershipVoucher;
export declare function fetchFanoutMembershipVoucher(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<FanoutMembershipVoucher>;
export declare function safeFetchFanoutMembershipVoucher(context: Pick<Context, 'rpc' | 'serializer'>, publicKey: PublicKey, options?: RpcGetAccountOptions): Promise<FanoutMembershipVoucher | null>;
export declare function fetchAllFanoutMembershipVoucher(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<FanoutMembershipVoucher[]>;
export declare function safeFetchAllFanoutMembershipVoucher(context: Pick<Context, 'rpc' | 'serializer'>, publicKeys: PublicKey[], options?: RpcGetAccountsOptions): Promise<FanoutMembershipVoucher[]>;
export declare function getFanoutMembershipVoucherGpaBuilder(context: Pick<Context, 'rpc' | 'serializer' | 'programs'>): import("@metaplex-foundation/umi").GpaBuilder<FanoutMembershipVoucher, {
    discriminator: Array<number>;
    fanout: PublicKey;
    totalInflow: number | bigint;
    lastInflow: number | bigint;
    bumpSeed: number;
    membershipKey: PublicKey;
    shares: number | bigint;
}>;
export declare function getFanoutMembershipVoucherSize(): number;
export declare function findFanoutMembershipVoucherPda(context: Pick<Context, 'eddsa' | 'programs' | 'serializer'>, seeds: {
    fanout: PublicKey;
    member: PublicKey;
}): Pda;
