import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type DistributeTokenInstructionAccounts = {
    payer?: Signer;
    member: PublicKey;
    membershipMintTokenAccount: PublicKey;
    membershipVoucher: PublicKey;
    fanout: PublicKey;
    holdingAccount: PublicKey;
    fanoutForMint: PublicKey;
    fanoutForMintMembershipVoucher: PublicKey;
    fanoutMint: PublicKey;
    fanoutMintMemberTokenAccount: PublicKey;
    systemProgram?: PublicKey;
    rent?: PublicKey;
    tokenProgram?: PublicKey;
    membershipMint: PublicKey;
    memberStakeAccount: PublicKey;
};
export type DistributeTokenInstructionData = {
    discriminator: Array<number>;
    distributeForMint: boolean;
};
export type DistributeTokenInstructionDataArgs = {
    distributeForMint: boolean;
};
export declare function getDistributeTokenInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<DistributeTokenInstructionDataArgs, DistributeTokenInstructionData>;
export declare function distributeToken(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: DistributeTokenInstructionAccounts & DistributeTokenInstructionDataArgs): WrappedInstruction;
