import { Context, PublicKey, Serializer, Signer, WrappedInstruction } from '@metaplex-foundation/umi';
export type DistributeWalletInstructionAccounts = {
    payer?: Signer;
    member: PublicKey;
    membershipVoucher: PublicKey;
    fanout: PublicKey;
    holdingAccount: PublicKey;
    fanoutForMint: PublicKey;
    fanoutForMintMembershipVoucher: PublicKey;
    fanoutMint: PublicKey;
    fanoutMintMemberTokenAccount: PublicKey;
    systemProgram?: PublicKey;
    rent?: PublicKey;
    tokenProgram?: PublicKey;
};
export type DistributeWalletInstructionData = {
    discriminator: Array<number>;
    distributeForMint: boolean;
};
export type DistributeWalletInstructionDataArgs = {
    distributeForMint: boolean;
};
export declare function getDistributeWalletInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<DistributeWalletInstructionDataArgs, DistributeWalletInstructionData>;
export declare function distributeWallet(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: DistributeWalletInstructionAccounts & DistributeWalletInstructionDataArgs): WrappedInstruction;
