"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeMember = exports.getRemoveMemberInstructionDataSerializer = void 0;
const umi_1 = require("@metaplex-foundation/umi");
function getRemoveMemberInstructionDataSerializer(context) {
    const s = context.serializer;
    return (0, umi_1.mapSerializer)(s.struct([['discriminator', s.array(s.u8(), { size: 8 })]], { description: 'RemoveMemberInstructionArgs' }), (value) => ({
        ...value,
        discriminator: [9, 45, 36, 163, 245, 40, 150, 85],
    }));
}
exports.getRemoveMemberInstructionDataSerializer = getRemoveMemberInstructionDataSerializer;
function removeMember(context, input) {
    const signers = [];
    const keys = [];
    const programId = context.programs.getPublicKey('mplHydra', 'hyDQ4Nz1eYyegS6JfenyKwKzYxRsCWCriYSAjtzP4Vg');
    const authorityAccount = input.authority ?? context.identity;
    const memberAccount = input.member;
    const fanoutAccount = input.fanout;
    const membershipAccountAccount = input.membershipAccount;
    const destinationAccount = input.destination;
    signers.push(authorityAccount);
    keys.push({
        pubkey: authorityAccount.publicKey,
        isSigner: true,
        isWritable: (0, umi_1.checkForIsWritableOverride)(authorityAccount, true),
    });
    keys.push({
        pubkey: memberAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(memberAccount, false),
    });
    keys.push({
        pubkey: fanoutAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(fanoutAccount, true),
    });
    keys.push({
        pubkey: membershipAccountAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(membershipAccountAccount, true),
    });
    keys.push({
        pubkey: destinationAccount,
        isSigner: false,
        isWritable: (0, umi_1.checkForIsWritableOverride)(destinationAccount, true),
    });
    const data = getRemoveMemberInstructionDataSerializer(context).serialize({});
    const bytesCreatedOnChain = 0;
    return {
        instruction: { keys, programId, data },
        signers,
        bytesCreatedOnChain,
    };
}
exports.removeMember = removeMember;
//# sourceMappingURL=removeMember.js.map